Skip to content

Read Run ​

http
GET /api/v1/sessions/{sid}/runs/{rid}

Read Run

operationId: get_run

Authentication ​

HTTPBearer / BrowserSession

See browser access. Session mutations require a Bearer key.

Parameters ​

NameInRequiredTypeDescription and constraints
sidpathYesstringformat: "uuid"
ridpathYesstringformat: "uuid"

Responses ​

CodeDescriptionContent
200Successful Responseapplication/json: Run
400Bad Requestapplication/json: ErrorResponse
401Unauthorizedapplication/json: ErrorResponse
404Not Foundapplication/json: ErrorResponse
409Conflictapplication/json: ErrorResponse
413Content Too Largeapplication/json: ErrorResponse
415Unsupported Media Typeapplication/json: ErrorResponse
422Unprocessable Contentapplication/json: ErrorResponse
503Service Unavailableapplication/json: ErrorResponse

HTTP API